Bug 473872 - mono debugger internal error
mono debugger internal error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono-debugger (Show other bugs)
9
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 03:03 EST by sojan
Modified: 2009-06-29 19:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 19:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sojan 2008-12-01 03:03:09 EST
Description of problem:the mono debugger is not working


Version-Release number of selected component (if applicable):mono 1.9.1


The error message is as following:




mdb ITVEncoderTest.exe
Mono Debugger
(mdb) run
Starting program: ITVEncoderTest.exe 
Cannot find thread b7f09730 in /usr/bin/mono:--inside-mdb:ITVEncoderTest.exe
EXCEPTION: Mono.Debugger.InternalError: Internal error.
  at Mono.Debugger.Backend.MonoThreadManager.HandleChildEvent (Mono.Debugger.Backend.SingleSteppingEngine engine, Mono.Debugger.Backend.Inferior inferior, Mono.Debugger.Backend.ChildEvent& cevent, System.Boolean& resume_target) [0x003a3] in /builddir/build/BUILD/mono-debugger-0.60/backend/MonoThreadManager.cs:309 
  at Mono.Debugger.Backend.ThreadManager.HandleChildEvent (Mono.Debugger.Backend.SingleSteppingEngine engine, Mono.Debugger.Backend.Inferior inferior, Mono.Debugger.Backend.ChildEvent& cevent, System.Boolean& resume_target) [0x000db] in /builddir/build/BUILD/mono-debugger-0.60/backend/ThreadManager.cs:196 
  at (wrapper remoting-invoke-with-check) Mono.Debugger.Backend.ThreadManager:HandleChildEvent (Mono.Debugger.Backend.SingleSteppingEngine,Mono.Debugger.Backend.Inferior,Mono.Debugger.Backend.Inferior/ChildEvent&,bool&)
  at Mono.Debugger.Backend.SingleSteppingEngine.ProcessEvent (Mono.Debugger.Backend.ChildEvent cevent) [0x001e0] in /builddir/build/BUILD/mono-debugger-0.60/backend/SingleSteppingEngine.cs:209 
  at Mono.Debugger.Backend.SingleSteppingEngine.ProcessEvent (Int32 status) [0x0000c] in /builddir/build/BUILD/mono-debugger-0.60/backend/SingleSteppingEngine.cs:155 
  at (wrapper remoting-invoke-with-check) Mono.Debugger.Backend.SingleSteppingEngine:ProcessEvent (int)
  at Mono.Debugger.Backend.ThreadManager.engine_thread_main () [0x000cd] in /builddir/build/BUILD/mono-debugger-0.60/backend/ThreadManager.cs:318 

please fix this problem thanks in advance
Comment 1 Bug Zapper 2009-06-09 23:22:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Paul F. Johnson 2009-06-29 19:21:53 EDT
Please try the version in F10 or F11. Closing this bug as it's in an EOL version

Note You need to log in before you can comment on or make changes to this bug.